gnutls_cipher_decrypt3(3)

NAME
gnutls_cipher_decrypt3 - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_decrypt3(gnutls_cipher_hd_t handle, const void * ctext, size_t ctext_len, void * ptext, size_t * ptext_len, unsigned flags);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t type

const void * ctext
    the data to decrypt

size_t ctext_len
    the length of data to decrypt

void * ptext
    the decrypted data

size_t * ptext_len
    the available length for decrypted data

unsigned flags
    flags for padding

DESCRIPTION
This function will decrypt the given data using the algorithm specified by the context. If flags is specified, padding for the decrypted data will be removed accordingly and ptext_len will be updated.

RETURNS
Zero or a negative error code on error.

SINCE
3.7.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/